body{
  font-family: "Montserrat", sans-serif; 
  margin: 0;
  color: aliceblue;
  overflow: hidden;
}
body{
    background-color: black;
}
.main{
    display: flex;
    height:100vh;
    padding: 0.5rem;
}
.sidebar{
    background-color: black;
    width:340px;
    border-radius: 1rem; /*16px*/
    margin-right: 0.5rem;
}
.main-content{
    background-color:#121212;
    border-radius: 1rem;
    overflow:auto;
    flex:1;
    padding: 0 1.5rem 0 1.5rem;
}
.music-player{
    position: fixed;
    bottom:0px;
    width: 100%;
    height: 72px;
    background-color: black;
}
a{
    text-decoration: none;
    color: white;
}
.nav{
    background-color: #121212;
    border-radius: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100px;
    padding:0.5rem 0.75rem;
}
.nav-option{
    line-height: 2.5rem;
    opacity:0.7;
    padding: 0.5rem 0.75rem;
}
.nav-option:hover{
    opacity: 1;
}
.nav-option i{
    font: size 1.25em;
} 
.nav-option a{
    font: 1rem;
    margin-left: 0.5rem;
}
.library{
    background-color: #121212;
    border-radius: 1rem;
    height: 100%;
    margin-top: 0.5rem;
    padding: 0.5rem 0.75rem;
}
.options{
        display: flex;
        justify-content: space-between;
        align-items: center;
}
.lib-option img{
    height: 1.25rem;
    width:1.25rem;
}
.icons{
    font-size: 1.25rem;
    display: flex;
}
.icons i{
    opacity: 0.7;
    margin-right: 1rem;
}
.icons i:hover{
    opacity:1;
}
.box{
    background-color: #232323;
    height:8rem;
    border-radius: 0.75rem;
    margin: 0.5rem 0 2.5rem 0;
    padding:1rem 1.25rem;
}
.box-p1{
    font-size: 1rem;
    font-weight: 500;
}
.box-p2{
    font-size: 0.85rem;
    opacity: 0.8;
}
.badge{
    background-color: white;
    border: none;
    border-radius: 100px;
    padding: 0.25rem 1rem;
    font-weight: 700;
    height: 2rem;
    width: fit-content;
}
.sticky-nav{
    position: sticky;
    top:0;
    background-color: #121212;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0 1rem 0;
    z-index: 10;
}
.nav-icons img{
    margin-left: 0.8rem;
}
.nav-options{
    display: flex;
    justify-content: center;
    align-items:center;
}
.nav-item{
    margin-right: 1rem;
}
.dark{
    background-color: black;
    color: white;
}
@media (max-width:1000px){
    .hide{
        display:none;
    }
} 
.tag {
    position: relative;
    width: 60px;
    height: 30px;
    background: url(./assets/images.jfif);
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
    font-weight: bold;
    border-radius: 15px;
    cursor: pointer;
  }
  
  .tag::before,
  .tag::after {
    position: absolute;
    content: "";
    width: 0%;
    height: 0%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1rem;
    font-weight: bold;
    background-color: rgb(47, 250, 11);
    transition: all 0.5s;
  }
  
  .tag::before {
    top: 0;
    right: 0;
    border-radius: 0 15px 0 100%;
  }
  
  .tag::after {
    bottom: 0;
    left: 0;
    border-radius: 0 100%  0 15px;
  }
  
  .tag:hover::before,
  .tag:hover:after {
    width: 100%;
    height: 100%;
    border-radius: 15px;
    color: black;
    transition: all 0.5s;
  }
  
  .tag:hover:after {
    content:"hello";
  }

  .card{
    background-color: #232323;
    width: 150px;
    border-radius: 0.5rem;
    padding: 1rem;
    margin-left: 1.5rem;
    margin-top: 1rem;
  }

  .card-container{
    display:flex;
    flex-wrap: wrap;
  }

  .card-img{
    width: 100%;
    border-radius: 0.5rem ;
  }
   
  .card-title{
    font-weight: 600;
  }

  .card-info{
    font-size: 0.85rem;
    opacity : 0.7;
  }
  .footer{
    height:200px;
    display:flex;
    align-items: center;
    justify-content: center;
  }
  .line{
    width:90%;
    height:50%;
    border-top: 1px solid white;
    opacity:0.5;
  }
 
  .music-player{
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  .album{
    width: 25%;
  }
  .player{
    width: 50%; 
  }
  .controls{
    width: 25%;
  }
  .player-controls{
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .player-control-icon{
    height: 1rem ;
    margin-right: 1.75rem;
    opacity: 0.7;
  }
  .player-control-icon:hover{
    opacity: 1;
  }
  .playback-bar{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .progress-bar{
    width:70%;
    appearance: none;
    background-color:transparent;
    cursor: pointer;
    margin-right: 10px;
    margin-left: 10px;
  }
  .progress-bar::-webkit-slider-runnable-track{
    background-color: #ddd;
    border-radius:100px;
    height:0.2rem;
  }
  .progress-bar::-webkit-slider-thumb{
    appearance: none;
    height:1rem;
    width:1rem;
    background-color: #1bd760;
    border-radius: 50%;
    margin-top: -6px;
  }



